# Python Requirements
# python3
# requests
# shutil

import requests
import os
import sys

path: str = sys.argv[1]
api: str = "https://api.dezentrale.cloud/spaceapi/v14"
space_open: str = path + "/logo_open"
space_closed: str = path + "/logo_closed"
space_unknown: str = path + "/logo_unknown"
space_logo: str = path + "/logo"

extensions: list[str] = [".png", ".svg"]

# every extension needs to be linked
def link(src: str, dest: str):
    for ext in extensions:
        os.symlink(src + ext, dest + ext)

if __name__ == "__main__":
    os.remove(space_logo)
    try:
        resp: requests.Response = requests.get(api)
        resp_dict: dict = resp.json()
        
        door_open: bool = resp_dict.get("state").get("open")
        print(door_open)
        
        path = ""
        if door_open:
            path = space_open
        else:
            path = space_closed
        os.symlink(space_logo, path)
    except:
        os.symlink(space_logo, space_unknown)
